[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'FPimage' (#fcl)

# TFPCustomImageWriter

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TFPCustomImageWriter - FreePascal base class for writing image data

## Declaration

Source position: fpimage.pp line 211

`type TFPCustomImageWriter = class(TFPCustomImageHandler)`
`protected`
`procedure InternalWrite(); virtual; abstract;` |  | InternalWrite - write specified image to nominated stream
`public`
`procedure ImageWrite();` |  | ImageWrite - writes given image to stream
`end;`

## Inheritance

`TFPCustomImageWriter` |  | TFPCustomImageWriter - FreePascal base class for writing image data
`TFPCustomImageHandler` |  | TFPCustomImageHandler FreePascal base class for handling images
`TObject`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.